ChangeSet 1.1595.7.7, 2003/07/30 12:46:03-07:00, david-b@pacbell.net

[PATCH] USB: ehci needs a readb() on IDP425 PCI (ARM)

This is a one-line "obviously correct" patch that Lutz reports
is needed on one ARM platform.


 drivers/usb/host/ehci-hcd.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)


diff -Nru a/drivers/usb/host/ehci-hcd.c b/drivers/usb/host/ehci-hcd.c
--- a/drivers/usb/host/ehci-hcd.c	Fri Aug  1 10:55:44 2003
+++ b/drivers/usb/host/ehci-hcd.c	Fri Aug  1 10:55:44 2003
@@ -331,7 +331,8 @@
 	spin_lock_init (&ehci->lock);
 
 	ehci->caps = (struct ehci_caps *) hcd->regs;
-	ehci->regs = (struct ehci_regs *) (hcd->regs + ehci->caps->length);
+	ehci->regs = (struct ehci_regs *) (hcd->regs +
+				readb (&ehci->caps->length));
 	dbg_hcs_params (ehci, "ehci_start");
 	dbg_hcc_params (ehci, "ehci_start");
 
